package com.neusoft.smart.pos.card.persistent.mapper;

import com.neusoft.smart.pos.card.persistent.domain.CardCapitalChange;
import com.neusoft.smart.pos.card.persistent.domain.CardCapitalChangeExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CardCapitalChangeMapper {
    int countByExample(CardCapitalChangeExample example);

    int deleteByExample(CardCapitalChangeExample example);

    int deleteByPrimaryKey(Integer amountChangeId);

    int insert(CardCapitalChange record);

    int insertSelective(CardCapitalChange record);

    List<CardCapitalChange> selectByExample(CardCapitalChangeExample example);

    CardCapitalChange selectByPrimaryKey(Integer amountChangeId);

    int updateByExampleSelective(@Param("record") CardCapitalChange record, @Param("example") CardCapitalChangeExample example);

    int updateByExample(@Param("record") CardCapitalChange record, @Param("example") CardCapitalChangeExample example);

    int updateByPrimaryKeySelective(CardCapitalChange record);

    int updateByPrimaryKey(CardCapitalChange record);

    void batchInsert(@Param("items") List<CardCapitalChange> items);
}